package com.viettel.campaign.repository.ccms_full;

import com.viettel.campaign.web.dto.ApParamDTO;
import com.viettel.campaign.web.dto.ContactCustResultDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CampaignExecuteRepository {

    //<editor-fold: hungtt>

    List<ApParamDTO> getComboBoxStatus(String companySiteId, String completeType);

    List<ApParamDTO> getComboCampaignType(String companySiteId);

    ResultDTO getInteractiveResult(CampaignRequestDTO dto);

    List<ContactCustResultDTO> getExcelInteractiveResult(CampaignRequestDTO dto);
    //</editor-fold: hungtt>
}
